Subject: Re: Rebase pain on (the) pot

From: Junio C Hamano <[email-masked]>
Date: Thu, 19 Mar 2015 12:43:56 -0700

Michael J Gruber <[email-masked]> writes:

> Do we have a merge driver or something for the l10n files?

I haven't heard of any, but given that these can be added back by
running xgettext and the result will have the up-to-date line
numbers, it wouldn't be wrong to define a script that roughly does:

    * find a run of lines that match "^#: .*$" and replace it with a
      single line with "#:" in original, ours and theirs.

    * feed these three files to 'merge' from RCS suite.

and use that as a merge driver.  The merged result would lose the
line number information, so if you really care, you could run "make
pot" at each step to update it but I do not think it matters as long
as you do so at the very end once, even as a follow-up "fix-up"
patch that says "we deliberately lost the line number information
during the series to avoid unnecessary merge conflicts, and this
commit puts it back".